Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.qms
Interface QMSQueue

public interface QMSQueue

Provides a central storage and queueing mechanism that enables users to create jobs that are added to the queue. QMSQueue is responsible for managing jobs placed in the queue. The jobs can be serviced remotely by an application at another node on the network.

Attribute IDs of a Queue include only the State attribute. There are only three State flags defined: QS_CANT_ADD_JOBS, QS_CANT_SERVICE_JOBS, AND QS_SERVERS_CANT_ATTACH.

See Also:
  `QMSJob`

Field Summary
`static int` | `OT_ARCHIVE_QUEUE` Bindery object type associated with an archive queue.
`static int` | `OT_JOB_QUEUE` Bindery object type associated with a job queue.
`static int` | `OT_PRINT_QUEUE` Bindery object type associated with a print queue (used by NetWare print queue services).
`static int` | `QS_CANT_ADD_JOBS` Queue state flag (if set) indicating that adding jobs is not allowed.
`static int` | `QS_CANT_SERVICE_JOBS` Queue state flag (if set) indicating that servers are not allowed to service jobs in the queue.
`static int` | `QS_SERVERS_CANT_ATTACH` Queue state flag (if set) indicating that servers are not allowed to attach to the queue.

Method Summary
`QMSJob` | `createJob()` Creates a new job for this queue.
`QMSJob` | `createJob(int ID)` Creates a QMSJob for an existing job specified by its job ID.
`int` | `getID()` Returns the object ID for this queue.
`int` | `getState()` Returns the state of the queue as a bit mask.
`java.util.Enumeration` | `listJobs()` Returns an enumeration of jobs in this queue.
`void` | `setState(int newState)` Sets the state of the queue given the new settings.

Field Detail

### QS_CANT_ADD_JOBS

    public static final int QS_CANT_ADD_JOBS

  Queue state flag (if set) indicating that adding jobs is not allowed. This flag is part of the State attribute.

  (QS_CANT_ADD_JOBS = 0x01)

  See Also:
    `getState()`

### QS_SERVERS_CANT_ATTACH

    public static final int QS_SERVERS_CANT_ATTACH

  Queue state flag (if set) indicating that servers are not allowed to attach to the queue. This flag is part of the State attribute.

  (QS_SERVERS_CANT_ATTACH = 0x02)

  See Also:
    `getState()`

### QS_CANT_SERVICE_JOBS

    public static final int QS_CANT_SERVICE_JOBS

  Queue state flag (if set) indicating that servers are not allowed to service jobs in the queue. This flag is part of the State attribute.

  (QS_CANT_SERVICE_JOBS = 0x04)

  See Also:
    `getState()`

### OT_PRINT_QUEUE

    public static final int OT_PRINT_QUEUE

  Bindery object type associated with a print queue (used by NetWare print queue services).

  (OT_PRINT_QUEUE = 0x03)

### OT_ARCHIVE_QUEUE

    public static final int OT_ARCHIVE_QUEUE

  Bindery object type associated with an archive queue.

  (OT_ARCHIVE_QUEUE = 0x08)

### OT_JOB_QUEUE

    public static final int OT_JOB_QUEUE

  Bindery object type associated with a job queue.

  (OT_JOB_QUEUE = 0x0A)

Method Detail

### getState

    public int getState()
                 throws com.novell.service.jncp.NSIException

  Returns the state of the queue as a bit mask. This is a convenience method for accessing the queue State attribute. It returns the State attribute just as the JNDI DirContext.getAttributes() method.
  Returns:
    The current state of the queue.
  Throws:
    com.novell.service.jncp.NSIException - A network exception occurred.
  See Also:
    `QS_CANT_ADD_JOBS`, `QS_SERVERS_CANT_ATTACH`, `QS_CANT_SERVICE_JOBS`, `setState(int)`

### setState

    public void setState(int newState)
                  throws com.novell.service.jncp.NSIException

  Sets the state of the queue given the new settings. This is a convenience method for accessing the queue State attribute.
  Parameters:
    `newState` - The desired state.
  Throws:
    com.novell.service.jncp.NSIException - A network exception occurred.
  See Also:
    `QS_CANT_ADD_JOBS`, `QS_SERVERS_CANT_ATTACH`, `QS_CANT_SERVICE_JOBS`, `getState()`

### getID

    public int getID()

  Returns the object ID for this queue.
  Returns:
    The object ID for this queue.

### listJobs

    public java.util.Enumeration listJobs()

  Returns an enumeration of jobs in this queue. This is a convenience method for listing jobs, and is equivalent to the JNDI Context.list() method
  Returns:
    An enumeration of the jobs in this queue. The objects returned will implement the QMSJob interface.
  See Also:
    `QMSJob`

### createJob

    public QMSJob createJob()

  Creates a new job for this queue.

  This job does not yet exist in the queue. In order for the queue to recognize the job, it must be submitted to the queue using the submit() method. The queue will wait until the output stream returned from the submit() method is closed before it begins processing the job.

  Returns:
    A new QMSJob object.

### createJob

    public QMSJob createJob(int ID)

  Creates a QMSJob for an existing job specified by its job ID.

  This job already exists and may be in the process of being serviced.

  Returns:
    A QMSJob object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD